## cnvkit 0.9.5

=== test/Makefile ===
# Test CNVkit.
#
# Dependency: pdfunite (poppler-utils)
# (Otherwise, all-scatters.pdf and all-diagrams.pdf will be empty files.)

cnvkit=python ../cnvkit.py

# ------------------------------------------------------------------------------
# Samples pre-processed with Picard CalculateHsMetrics

picard_normals=$(wildcard picard/p2-*_5.*.csv)
picard_tumor_cnns=$(patsubst picard/%.csv,build/%.cnn,$(wildcard picard/*.csv))

picard_cnrs=$(addprefix build/p2-,$(addsuffix .cnr,5_5 9_2 20_1 20_2 20_3 20_4 20_5))
picard_segs=$(picard_cnrs:.cnr=.cns)

picard_targets= build/reference-picard.cnn $(picard_cnrs) $(picard_segs) \
	     all-scatters.pdf all-diagrams.pdf heatmap-picard.pdf \
	     p2-9_2-breaks.txt p2-9_2-genemetrics.txt gender-picard.txt \
	     p2-all.cdt p2-all-jtv.txt p2-all.seg p2-9_2.nexus p2-9_2.nexus-ogt \
	     p2-all.bed p2-9_2.vcf p2-9_2.theta2.input \
	     p2-9_2-segmetrics.cns p2-5_5-segmetrics.cns

# ------------------------------------------------------------------------------
#  Action!

all: $(picard_targets) p2-5_5-metrics.tsv p2-9_2-metrics.tsv p2-20-metrics.tsv


.PHONY: clean
clean:
	# Picard
	rm -rf build/p*targetcoverage.cnn $(picard_targets) p*-scatter.pdf p*-diagram.pdf

.PHONY: test
test:
	python test_io.py
	python test_genome.py
	python test_cnvlib.py
	python test_r.py


# ------------------------------------------------------------------------------
# Standard workflow

# == Build pooled references from normal samples

build/reference-picard.cnn: $(picard_normals)
	$(cnvkit) import-picard $^ -d build/
	$(cnvkit) reference build/p2-*_5.*targetcoverage.cnn -y -o $@


# == Import Picard files (including GC values, used in the reference)

$(picard_tumor_cnns): build/%.cnn: picard/%.csv
	$(cnvkit) import-picard $^ -d build/


# == Build components

$(picard_cnrs): %.cnr: %.targetcoverage.cnn %.antitargetcoverage.cnn build/reference-picard.cnn
	$(cnvkit) fix $^ -o $@

$(picard_segs): %.cns: %.cnr
	$(cnvkit) segment -p 2 --drop-low-coverage -t .01 $< -o $@

$(picard_segs:.cns=.call.cns): build/%.call.cns: build/%.cns
	$(cnvkit) call $^ -y -m clonal --purity 0.65 -o $@


# ------------------------------------------------------------------------------
# Demo other features with Picard outputs

heatmap-picard.pdf: $(picard_segs)
	$(cnvkit) heatmap $^ -y -o $@

# == Plot coverages with segmentation calls

all-scatters.pdf: p2-5_5-scatter.pdf p2-9_2-scatter.pdf p2-9_2-chr1-scatter.pdf p2-9_2-chr9p-scatter.pdf p2-9_2-SMARCA2-PTPRD-scatter.pdf p2-9_2-bed_regions-scatter.pdf
	which pdfunite && pdfunite $^ $@ || touch $@

p2-5_5-scatter.pdf p2-9_2-scatter.pdf: %-scatter.pdf: build/%.cns build/%.cnr
	$(cnvkit) scatter -s $^ -t --y-min=-2.5 -o $@

p2-9_2-chr1-scatter.pdf: build/p2-9_2.cns build/p2-9_2.cnr
	$(cnvkit) scatter -s $^ -c chr1 -t -o $@

p2-9_2-chr9p-scatter.pdf: build/p2-9_2.cns build/p2-9_2.cnr
	$(cnvkit) scatter -s $^ -c 'chr9:150000-45000000' -o $@

p2-9_2-SMARCA2-PTPRD-scatter.pdf: build/p2-9_2.cns build/p2-9_2.cnr
	$(cnvkit) scatter -s $^ -g SMARCA2,PTPRD -w 4e6 -o $@

p2-9_2-bed_regions-scatter.pdf: build/p2-9_2.cns build/p2-9_2.cnr
	$(cnvkit) scatter -s $^ -l regions.bed -o $@

# == Draw diagrams

all-diagrams.pdf: $(foreach sfx,- -cbs- -both-,$(addsuffix $(sfx)diagram.pdf,p2-5_5 p2-9_2 p2-20_1 p2-20_2))
	which pdfunite && pdfunite $^ $@ || touch $@

p2-5_5-diagram.pdf p2-9_2-diagram.pdf p2-20_1-diagram.pdf p2-20_2-diagram.pdf: %-diagram.pdf: build/%.cnr
	$(cnvkit) diagram -y $< -o $@

p2-5_5-cbs-diagram.pdf p2-9_2-cbs-diagram.pdf p2-20_1-cbs-diagram.pdf p2-20_2-cbs-diagram.pdf: %-cbs-diagram.pdf: build/%.cns
	$(cnvkit) diagram -y --segment=$< -o $@

p2-5_5-both-diagram.pdf p2-9_2-both-diagram.pdf p2-20_1-both-diagram.pdf p2-20_2-both-diagram.pdf: %-both-diagram.pdf: build/%.cns build/%.cnr
	$(cnvkit) diagram -y --segment=$^ -t 0.3 -o $@

# == Text reporting ==

p2-9_2-breaks.txt: build/p2-9_2.cnr build/p2-9_2.cns
	$(cnvkit) breaks $^ -o $@

p2-9_2-genemetrics.txt: build/p2-9_2.cns build/p2-9_2.cnr
	$(cnvkit) genemetrics -y -m 2 -s $^ -o $@

gender-picard.txt: build/p2-5_5.cnr  build/p2-5_5.cns build/p2-9_2.cnr build/p2-9_2.cns build/p2-20_5.cnr build/p2-20_5.cns
	$(cnvkit) sex -y $^ -o $@

p2-5_5-metrics.tsv p2-9_2-metrics.tsv: %-metrics.tsv: build/%.cnr build/%.cns
	$(cnvkit) metrics  $< -s $(lastword $^) -o $@

p2-20-metrics.tsv: $(addprefix build/p2-20_,$(addsuffix .cns,1 2 3 4 5))
	$(cnvkit) metrics $(^:.cns=.cnr) -s $^ -o $@

p2-9_2-segmetrics.cns: build/p2-9_2.cns build/p2-9_2.cnr
	$(cnvkit) segmetrics -s $^ -o $@ \
		--mean --median --mode \
		--stdev --mad --mse --iqr --bivar \
		--ci --pi --sem

p2-5_5-segmetrics.cns: build/p2-5_5.cns build/p2-5_5.cnr
	$(cnvkit) segmetrics -s $^ -o $@ \
		--ci -b 50 -a 0.5


# == Export to other formats

p2-all.seg: $(picard_segs)
	$(cnvkit) export seg $^ -o $@

p2-all.bed: $(picard_segs:.cns=.call.cns)
	$(cnvkit) export bed $^ -y --show variant -o $@

p2-9_2.vcf: build/p2-9_2.cnr build/p2-9_2.call.cns
	$(cnvkit) export vcf -o $@ -y --cnr $^ -y -o $@

p2-9_2.theta2.input: build/p2-9_2.cns build/reference-picard.cnn
	$(cnvkit) export theta $< -r $(lastword $^) -o $@

p2-9_2.nexus: build/p2-9_2.cnr
	$(cnvkit) export nexus-basic $^ -o $@

p2-9_2.nexus-ogt: build/p2-9_2.cnr formats/na12878_na12882_mix.vcf
	$(cnvkit) export nexus-ogt $^ -o $@

p2-all.cdt: $(picard_cnrs)
	$(cnvkit) export cdt $^ -o $@

p2-all-jtv.txt: $(picard_cnrs)
	$(cnvkit) export jtv $^ -o $@

## cnvkit 0.9.3

=== debian/changelog ===
cnvkit (0.9.3-1) unstable; urgency=medium

  * New upstream version.
  * Initial release. (Closes: #828176)
  * Policy 4.1.4 compliance
  * Moved to python3
  * Cleaning test tmp results 

 -- Steffen Moeller <moeller@debian.org>  Fri, 15 Jun 2018 12:03:11 +0200

cnvkit (0.9.0-1) UNRELEASED; urgency=medium

  * Debianisation.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 25 Jun 2016 10:57:17 -0700

=== debian/control ===
Source: cnvkit
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>,
           Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-pyfaidx,
               help2man,
               python3-biopython,
               python3-pandas,
               python3-numpy,
               python3-pysam,
               python3-scipy,
               python3-matplotlib,
               python3-pyvcf,
               r-cran-pscbs
#              python-subprocess32	# required only for python2
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/med-team/cnvkit
Vcs-Git: https://salsa.debian.org/med-team/cnvkit.git
Homepage: http://cnvkit.readthedocs.org

Package: cnvkit
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Copy number variant detection from targeted DNA sequencing
 A command-line toolkit and Python library for detecting copy number variants
 and alterations genome-wide from targeted DNA sequencing. It is designed for
 use with hybrid capture, including both whole-exome and custom target panels,
 and short-read sequencing platforms such as Illumina and Ion Torrent.

=== debian/rules ===
#!/usr/bin/make -f
# DH_VERBOSE := 1
export LC_ALL=C.UTF-8
export PYBUILD_NAME=cnvkit

# some helpful variables - uncomment them if needed
# shamelessly stolen from http://jmtd.net/log/awk/
DEBVERS        := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
VERSION        := $(shell echo '$(DEBVERS)' | sed -e 's/^[0-9]*://' -e 's/-.*//')
#DEBFLAVOR      := $(shell dpkg-parsechangelog | awk '/^Distribution:/ {print $$2}')
#DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
#DEBIAN_BRANCH  := $(shell awk 'BEGIN{FS="[= ]+"} /debian-branch/ {print $$2}' debian/gbp.conf)
#GIT_TAG        := $(subst ~,_,$(VERSION))

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	[ -f cnvkit.py ] && mv cnvkit.py cnvkit || true # may not exist after interrupted build
	#mv scripts/genome2access.py ./	# no longer distributed
	if [ -f scripts/cnv_annotate.py ]; then \
	  cd scripts && for script in *.py; do \
	                  mv $${script} cnvkit-$${script%%.py}; \
	                done; \
	fi
	dh_auto_build
	cd scripts && for script in *; do \
	                mv $${script} $${script##cnvkit-}.py; \
	              done
	mv cnvkit cnvkit.py
	#mv genome2access.py scripts/	# no longer distributed

override_dh_auto_install:
	[ -f cnvkit.py ] && mv cnvkit.py cnvkit || true # may not exist after interrupted install
	#mv scripts/genome2access.py ./	# no longer distributed
	if [ -f scripts/cnv_annotate.py ]; then \
	  cd scripts && for script in *.py; do \
	                  mv $${script} cnvkit-$${script%%.py}; \
	                done; \
	fi
	dh_auto_install
	help2man --no-info --version-option=version \
		--name="a command-line toolkit for copy number analysis." \
		./cnvkit > debian/cnvkit.1
	PYTHONPATH=$$PYTHONPATH:. debian/genmanpages.py ${VERSION}
	# no longer distributed
	#cd scripts && PYTHONPATH=../ help2man --no-info \
	#	--version-string=${VERSION} --help-option='-h' \
	#	./cnvkit-refFlat2bed --name='Generate a BED file of the genes or exons in the reference genome given in UCSC refFlat.txt format.' \
	#	> ../debian/cnvkit-refFlat2bed.1; 
	cd scripts && PYTHONPATH=../ help2man --no-info \
		--version-string=${VERSION} --help-option='-h' \
		./cnvkit-reference2targets --name='Extract target and antitarget BED files from a CNVkit reference file.' \
		> ../debian/cnvkit-reference2targets.1;
	cd scripts && for script in *; do \
	                mv $${script} $${script##cnvkit-}.py; \
	              done
	mv cnvkit cnvkit.py
	#mv genome2access.py scripts/	# no longer distributed

override_dh_auto_test:
	cd test && ${MAKE}

override_dh_auto_clean:
	cd test && ${MAKE} clean || /bin/true
	if [ -f cnvkit ]; then mv cnvkit cnvkit.py; fi
	dh_auto_clean
	rm -rf test/p2-20-metrics.tsv test/p2-5_5-metrics.tsv test/p2-9_2-metrics.tsv
	rm -rf test/build CNVkit.egg-info

## cnvkit 0.9.5

=== debian/changelog ===
cnvkit (0.9.5-3) unstable; urgency=medium

  * Fix buster rebuilds (Closes: #925568)
    d/patches/controldir.patch

 -- Olivier Sallou <osallou@debian.org>  Wed, 27 Mar 2019 08:00:39 +0000

cnvkit (0.9.5-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Michael R. Crusoe ]
  * Remove trailing whitespace in debian/rules
  * Standards-Version: 4.3.0
  * Run the included tests as autopkgtests.
  * Mark cnv_expression_correlate as a script
  * amd64 only, due to the realities of where python-pysam is available.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 06 Jan 2019 04:12:46 -0800

cnvkit (0.9.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 11
  * Standards-Version: 4.2.0

 -- Andreas Tille <tille@debian.org>  Mon, 13 Aug 2018 13:02:24 +0200

cnvkit (0.9.3-2) unstable; urgency=medium

  * Add missing build-dep on python3-future. (Closes: #901877)
  * debian/rules: fix override_dh_auto_test-does-not-check-DEB_BUILD_OPTIONS

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 19 Jun 2018 15:05:43 -0700

=== debian/control ===
Source: cnvkit
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>,
           Steffen Moeller <moeller@debian.org>,
           Olivier Sallou <osallou@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-pyfaidx,
               help2man,
               python3-biopython,
               python3-pandas,
               python3-numpy,
               python3-pysam,
               python3-scipy,
               python3-matplotlib,
               python3-pyvcf,
               python3-future,
               r-bioc-dnacopy,
	       poppler-utils
# poppler-utils provides pdfunite, needed for the tests
#              python-subprocess32	# required only for python2
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/cnvkit
Vcs-Git: https://salsa.debian.org/med-team/cnvkit.git
Homepage: http://cnvkit.readthedocs.org

Package: cnvkit
Architecture: amd64
Depends: ${python3:Depends},
         ${misc:Depends},
	 r-bioc-dnacopy
Description: Copy number variant detection from targeted DNA sequencing
 A command-line toolkit and Python library for detecting copy number variants
 and alterations genome-wide from targeted DNA sequencing. It is designed for
 use with hybrid capture, including both whole-exome and custom target panels,
 and short-read sequencing platforms such as Illumina and Ion Torrent.

=== debian/watch ===
version=3

# Uncomment to find new files on Github
#  - when using releases:
https://github.com/etal/cnvkit/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
# if you need to repack and choose +dfsg prefix
# opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,compress=xz" \

## cnvkit 0.9.6

=== test/Makefile ===
--- 
+++ 
@@ -76,7 +76,7 @@
 
 # == Plot coverages with segmentation calls
 
-all-scatters.pdf: p2-5_5-scatter.pdf p2-9_2-scatter.pdf p2-9_2-chr1-scatter.pdf p2-9_2-chr9p-scatter.pdf p2-9_2-SMARCA2-PTPRD-scatter.pdf p2-9_2-bed_regions-scatter.pdf
+all-scatters.pdf: p2-5_5-scatter.pdf p2-9_2-scatter.pdf p2-9_2-chr1-scatter.pdf p2-9_2-chr21-scatter.pdf p2-9_2-chr9p-scatter.pdf p2-9_2-SMARCA2-PTPRD-scatter.pdf p2-9_2-bed_regions-scatter.pdf
 	which pdfunite && pdfunite $^ $@ || touch $@
 
 p2-5_5-scatter.pdf p2-9_2-scatter.pdf: %-scatter.pdf: build/%.cns build/%.cnr
@@ -84,6 +84,9 @@
 
 p2-9_2-chr1-scatter.pdf: build/p2-9_2.cns build/p2-9_2.cnr
 	$(cnvkit) scatter -s $^ -c chr1 -t -o $@
+
+p2-9_2-chr21-scatter.pdf: build/p2-9_2.cns build/p2-9_2.cnr
+	$(cnvkit) scatter -s $^ -c chr21 -t -o $@
 
 p2-9_2-chr9p-scatter.pdf: build/p2-9_2.cns build/p2-9_2.cnr
 	$(cnvkit) scatter -s $^ -c 'chr9:150000-45000000' -o $@

=== debian/changelog ===
cnvkit (0.9.6-3) unstable; urgency=medium

  * Don't run the autopkgtests in parallel.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 07 Jan 2020 11:48:23 +0100

cnvkit (0.9.6-2) unstable; urgency=medium

  * Support more architectures (Closes: #942582)
  * Tests pass with the latest python3-pandas. (Closes: #944041)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 13 Nov 2019 18:57:24 +0100

cnvkit (0.9.6-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Steffen Moeller <moeller@debian.org>  Wed, 28 Aug 2019 19:31:59 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Olivier Sallou <osallou@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-setuptools,
@@ -19,20 +19,21 @@
                python3-matplotlib,
                python3-pyvcf,
                python3-future,
+               python3-pomegranate (>= 0.9.0),
                r-bioc-dnacopy,
-	       poppler-utils
+# testing
 # poppler-utils provides pdfunite, needed for the tests
-#              python-subprocess32	# required only for python2
-Standards-Version: 4.3.0
+               poppler-utils
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/cnvkit
 Vcs-Git: https://salsa.debian.org/med-team/cnvkit.git
 Homepage: http://cnvkit.readthedocs.org
 
 Package: cnvkit
-Architecture: amd64
+Architecture: amd64 arm64 mips64el ppc64el
 Depends: ${python3:Depends},
          ${misc:Depends},
-	 r-bioc-dnacopy
+         r-bioc-dnacopy
 Description: Copy number variant detection from targeted DNA sequencing
  A command-line toolkit and Python library for detecting copy number variants
  and alterations genome-wide from targeted DNA sequencing. It is designed for

## cnvkit 0.9.7

=== debian/changelog ===
cnvkit (0.9.7-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Refreshed the patches
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 01 Jun 2020 16:19:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: cnvkit
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>,
+Uploaders: Michael R. Crusoe <crusoe@debian.org>,
            Steffen Moeller <moeller@debian.org>,
            Olivier Sallou <osallou@debian.org>
 Section: science
@@ -19,15 +19,16 @@
                python3-matplotlib,
                python3-pyvcf,
                python3-future,
-               python3-pomegranate (>= 0.9.0),
+               python3-pomegranate,
                r-bioc-dnacopy,
 # testing
 # poppler-utils provides pdfunite, needed for the tests
                poppler-utils
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/cnvkit
 Vcs-Git: https://salsa.debian.org/med-team/cnvkit.git
 Homepage: http://cnvkit.readthedocs.org
+Rules-Requires-Root: no
 
 Package: cnvkit
 Architecture: amd64 arm64 mips64el ppc64el

## cnvkit 0.9.8

=== test/Makefile ===
--- 
+++ 
@@ -37,6 +37,7 @@
 	python test_io.py
 	python test_genome.py
 	python test_cnvlib.py
+	python test_commands.py
 	python test_r.py
 
 
@@ -130,9 +131,9 @@
 
 p2-9_2-segmetrics.cns: build/p2-9_2.cns build/p2-9_2.cnr
 	$(cnvkit) segmetrics -s $^ -o $@ \
-		--mean --median --mode \
+		--mean --median --mode --t-test \
 		--stdev --mad --mse --iqr --bivar \
-		--ci --pi --sem
+		--ci --pi --sem --smooth-bootstrap
 
 p2-5_5-segmetrics.cns: build/p2-5_5.cns build/p2-5_5.cnr
 	$(cnvkit) segmetrics -s $^ -o $@ \

=== debian/changelog ===
cnvkit (0.9.8-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Added symbolic link from /usr/lib/debian-med/bin/cnvkit.py
    to /usr/bin/cnvkit.py

    bcbio explicitly looks in /usr/bin, though.

  [ Michael R. Crusoe ]
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * debian/control: mips64el is not supported by upstream, remove it
    Closes: #962743

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 01 Jan 2021 16:17:10 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Olivier Sallou <osallou@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
@@ -23,15 +23,15 @@
                r-bioc-dnacopy,
 # testing
 # poppler-utils provides pdfunite, needed for the tests
-               poppler-utils
-Standards-Version: 4.5.0
+               poppler-utils <!nocheck>
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/cnvkit
 Vcs-Git: https://salsa.debian.org/med-team/cnvkit.git
 Homepage: http://cnvkit.readthedocs.org
 Rules-Requires-Root: no
 
 Package: cnvkit
-Architecture: amd64 arm64 mips64el ppc64el
+Architecture: amd64 arm64 ppc64el
 Depends: ${python3:Depends},
          ${misc:Depends},
          r-bioc-dnacopy

=== debian/rules ===
#!/usr/bin/make -f
# DH_VERBOSE := 1
export LC_ALL=C.UTF-8
export PYBUILD_NAME=cnvkit

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	[ -f cnvkit.py ] && mv cnvkit.py cnvkit || true # may not exist after interrupted build
	if [ -f scripts/cnv_annotate.py ]; then \
	  cd scripts && for script in *.py; do \
	                  mv $${script} cnvkit-$${script%%.py}; \
	                done; \
	fi
	dh_auto_build
	cd scripts && for script in cnvkit-*; do \
	                mv $${script} $${script##cnvkit-}.py; \
	              done
	mv cnvkit cnvkit.py

override_dh_auto_install:
	[ -f cnvkit.py ] && mv cnvkit.py cnvkit || true # may not exist after interrupted install
	if [ -f scripts/cnv_annotate.py ]; then \
	  cd scripts && for script in *.py; do \
	                  mv $${script} cnvkit-$${script%%.py}; \
	                done; \
	fi
	dh_auto_install
	help2man --no-info --version-option=version \
		--name="a command-line toolkit for copy number analysis." \
		./cnvkit > debian/cnvkit.1
	PYTHONPATH=$$PYTHONPATH:. debian/genmanpages.py ${DEB_VERSION_UPSTREAM}
	cd scripts && PYTHONPATH=../ help2man --no-info \
		--version-string=${DEB_VERSION_UPSTREAM} --help-option='-h' \
		./cnvkit-reference2targets --name='Extract target and antitarget BED files from a CNVkit reference file.' \
		> ../debian/cnvkit-reference2targets.1;
	cd scripts && for script in cnvkit-*; do \
	                mv $${script} $${script##cnvkit-}.py; \
	              done
	mv cnvkit cnvkit.py

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd test && ${MAKE} -j$(shell nproc)
	cd test && ${MAKE} -j$(shell nproc) clean || /bin/true
	rm -Rf test/build test/*.tsv
endif

override_dh_auto_clean:
	cd test && ${MAKE} clean || /bin/true
	if [ -f cnvkit ]; then mv cnvkit cnvkit.py; fi
	dh_auto_clean
	rm -rf test/p2-20-metrics.tsv test/p2-5_5-metrics.tsv test/p2-9_2-metrics.tsv
	rm -rf test/build CNVkit.egg-info

## cnvkit 0.9.9

=== debian/changelog ===
cnvkit (0.9.9-2) unstable; urgency=medium

  * Team Upload.
  * Re-diff patches (refresh)
  * d/rules: do not run tests in parallel

 -- Nilesh Patra <nilesh@debian.org>  Fri, 15 Oct 2021 12:11:06 +0530

cnvkit (0.9.9-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github (routine-update)
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * watch file standard 4 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Sep 2021 19:06:06 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
 # testing
 # poppler-utils provides pdfunite, needed for the tests
                poppler-utils <!nocheck>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/cnvkit
 Vcs-Git: https://salsa.debian.org/med-team/cnvkit.git
 Homepage: http://cnvkit.readthedocs.org

=== debian/rules ===
--- 
+++ 
@@ -44,8 +44,8 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	cd test && ${MAKE} -j$(shell nproc)
-	cd test && ${MAKE} -j$(shell nproc) clean || /bin/true
+	cd test && ${MAKE}
+	cd test && ${MAKE} clean || /bin/true
 	rm -Rf test/build test/*.tsv
 endif

## cnvkit 0.9.10

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/cnvkit.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/cnvkit.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/cnvkit"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/cnvkit"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== test/Makefile ===
--- 
+++ 
@@ -3,7 +3,8 @@
 # Dependency: pdfunite (poppler-utils)
 # (Otherwise, all-scatters.pdf and all-diagrams.pdf will be empty files.)
 
-cnvkit=python ../cnvkit.py
+rscript_exe=Rscript
+cnvkit=cnvkit.py
 
 # ------------------------------------------------------------------------------
 # Samples pre-processed with Picard CalculateHsMetrics
@@ -34,11 +35,7 @@
 
 .PHONY: test
 test:
-	python test_io.py
-	python test_genome.py
-	python test_cnvlib.py
-	python test_commands.py
-	python test_r.py
+	pytest
 
 
 # ------------------------------------------------------------------------------
@@ -63,7 +60,7 @@
 	$(cnvkit) fix $^ -o $@
 
 $(picard_segs): %.cns: %.cnr
-	$(cnvkit) segment -p 2 --drop-low-coverage -t .01 $< -o $@
+	$(cnvkit) segment --rscript-path $(rscript_exe) -p 2 --drop-low-coverage -t .01 $< -o $@
 
 $(picard_segs:.cns=.call.cns): build/%.call.cns: build/%.cns
 	$(cnvkit) call $^ -y -m clonal --purity 0.65 -o $@

=== debian/changelog ===
cnvkit (0.9.10-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Drop Build-Depends python3-future
    Closes: #1059947
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Use secure URI in Homepage field.

  [ Nilesh Patra ]
  * Add patch to ignore test warnings

 -- Andreas Tille <tille@debian.org>  Fri, 05 Jan 2024 16:18:13 +0100

=== debian/control ===
--- 
+++ 
@@ -6,28 +6,26 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-setuptools,
-               python3-pyfaidx,
-               help2man,
-               python3-biopython,
-               python3-pandas,
-               python3-numpy,
-               python3-pysam,
-               python3-scipy,
-               python3-matplotlib,
-               python3-pyvcf,
-               python3-future,
-               python3-pomegranate,
-               r-bioc-dnacopy,
+               python3-pytest <!nocheck>,
+               python3-pyfaidx <!nocheck>,
+               python3-biopython <!nocheck>,
+               python3-pandas <!nocheck>,
+               python3-numpy <!nocheck>,
+               python3-pysam <!nocheck>,
+               python3-scipy <!nocheck>,
+               python3-matplotlib <!nocheck>,
+               python3-pomegranate <!nocheck>,
+               r-bioc-dnacopy <!nocheck>,
 # testing
 # poppler-utils provides pdfunite, needed for the tests
                poppler-utils <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/cnvkit
 Vcs-Git: https://salsa.debian.org/med-team/cnvkit.git
-Homepage: http://cnvkit.readthedocs.org
+Homepage: https://cnvkit.readthedocs.org
 Rules-Requires-Root: no
 
 Package: cnvkit

=== debian/rules ===
#!/usr/bin/make -f
# DH_VERBOSE := 1
export LC_ALL=C.UTF-8
export PYBUILD_NAME=cnvkit

export PYBUILD_BEFORE_TEST=ln -s $(CURDIR)/data {build_dir}/data;

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_install:
	for script in `find scripts -name "*.py"` ; do \
	    dh_install $${script} /usr/bin; \
	done
	dh_auto_install

override_dh_auto_clean:
	cd test && ${MAKE} clean || /bin/true
#	if [ -f cnvkit ]; then mv cnvkit cnvkit.py; fi
	dh_auto_clean
	rm -rf test/p2-20-metrics.tsv test/p2-5_5-metrics.tsv test/p2-9_2-metrics.tsv
	rm -rf test/build CNVkit.egg-info

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, poppler-utils
Restrictions: allow-stderr

=== debian/watch ===
version=4

# Uncomment to find new files on Github
#  - when using releases:
https://github.com/etal/cnvkit/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
# if you need to repack and choose +dfsg prefix
# opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,compress=xz" \

## cnvkit 0.9.12

=== test/Makefile ===
--- 
+++ 
@@ -25,17 +25,28 @@
 # ------------------------------------------------------------------------------
 #  Action!
 
-all: $(picard_targets) p2-5_5-metrics.tsv p2-9_2-metrics.tsv p2-20-metrics.tsv
+all: mini $(picard_targets) p2-5_5-metrics.tsv p2-9_2-metrics.tsv p2-20-metrics.tsv
 
 
 .PHONY: clean
 clean:
 	# Picard
 	rm -rf build/p*targetcoverage.cnn $(picard_targets) p*-scatter.pdf p*-diagram.pdf
+	rm -rf build/na12878-chrM-Y-trunc* build/chrM-Y-trunc*
 
 .PHONY: test
 test:
 	pytest
+
+
+# ------------------------------------------------------------------------------
+# Minimal 'batch' command
+
+.PHONY: mini
+mini: build/na12878-chrM-Y-trunc.bintest.cns
+
+build/na12878-chrM-Y-trunc.bintest.cns: formats/na12878-chrM-Y-trunc.bam formats/chrM-Y-trunc.hg19.fa
+	$(cnvkit) batch -n -f formats/chrM-Y-trunc.hg19.fa -m wgs formats/na12878-chrM-Y-trunc.bam -d build
 
 
 # ------------------------------------------------------------------------------

=== debian/changelog ===
cnvkit (0.9.12-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Removed spelling patch, it was applied upstream. Remaining patches
    were refreshed.
  * d/control: build-dep on the new python3-pomegranate that supports
    numpy 2.x.
  * Include patch from upstream for numpy 2.x support.
  * d/{install,rules,pybuild.testfiles}: simplify and modernize
  * Add my own patch to fix one last numpy 2.x issue: Use `np.bytes_`
    instead of `np.string_`.
  * d/patches/controldir: fix link to the Debian bug.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 06 Feb 2025 15:23:25 +0100

cnvkit (0.9.10-2) unstable; urgency=medium

  * No-change rebuild of the package from experimental for unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 08 Apr 2024 10:42:20 +0200

cnvkit (0.9.10-2~0exp) experimental; urgency=medium

  * Test "Arch: all" upload to experimental

  * d/control: the binary package is architecture independent.
  * d/patches/spelling: forwarded upstream.
  * d/control: build the PEP-517 way with pybuild-plugin-pyproject.
  * d/control: also run the built-in tests as autopkgtests.
  * d/rules: move items into d/clean.
  * d/tests: skip-not-installable for s390x and others where python3-
    pysam isn't available.
  * d/control: add riscv64 to the arch list.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 05 Mar 2024 10:11:04 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                dh-sequence-python3,
                python3-all,
                python3-setuptools,
+               pybuild-plugin-pyproject,
                python3-pytest <!nocheck>,
                python3-pyfaidx <!nocheck>,
                python3-biopython <!nocheck>,
@@ -17,19 +18,20 @@
                python3-pysam <!nocheck>,
                python3-scipy <!nocheck>,
                python3-matplotlib <!nocheck>,
-               python3-pomegranate <!nocheck>,
+               python3-pomegranate (>= 0.15) <!nocheck>,
                r-bioc-dnacopy <!nocheck>,
 # testing
 # poppler-utils provides pdfunite, needed for the tests
                poppler-utils <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/cnvkit
 Vcs-Git: https://salsa.debian.org/med-team/cnvkit.git
 Homepage: https://cnvkit.readthedocs.org
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: cnvkit
-Architecture: amd64 arm64 ppc64el
+Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends},
          r-bioc-dnacopy

=== debian/rules ===
#!/usr/bin/make -f
# DH_VERBOSE := 1
export LC_ALL=C.UTF-8
export PYBUILD_NAME=cnvkit

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_clean:
	cd test && ${MAKE} clean || /bin/true

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, poppler-utils
Restrictions: allow-stderr, skip-not-installable
